
;
; Library file of commonly used symbols
;
NULL	=	00H
CR	=	0DH
LF	=	0AH
FM_FD	=	0CH
CTRL_C	=	03H
ACK	=	06H
NAK	=	21H
SPACE	=	20H
TAB	=	09H
BACKSP	=	08H
BELL	=	07H
XON	=	11H
XOFF	=	13H
SLASH	=	'/'

;
; Predefined DOS handles
;
STDIN	=	0
STDOUT	=	1
STDERR	=	2
STDAUX	=	3
STDPRN	=	4

;
; DOS functions frequently used
;
$WRITE_FILE	=	40H		; Write to file function
$READ_FILE	=	3FH		; Read from file
$CREATE_FILE	=	3CH		; Create file
$OPEN_FILE	=	3DH	        ; Open existing file
$CLOSE_FILE	=	3EH	        ; Close file
$DELETE_FILE    =       41H     	; Delete file
$LSEEK_FILE	=	42H	        ; Logical seek in file
$ALLOC_MEM	=	48H
$SETBLK_MEM	=	4AH
$FREE_MEM	=	49H
$DOS_EXIT	=	4CH

CMD_LINE	=	80H		; Address of command line in PSP
DEF_FCB1	=	5CH		;    "    "  1st default FCB
DEF_FCB2	=	6CH	        ;    "    "  2nd    "     "
